| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sArbitraryMeasurements Struct Reference

Specify the measurement data to be returned. More...

`#include <THM1176Types.h>`

## Public Member Functions
| sArbitraryMeasurements (bool Bx=false, bool By=false, bool Bz=false, bool Temp=false, bool Time=false, U32 NMeas=0)
| Constructor.
void | clear ()
| Clear to default values.
bool | operator== (sArbitraryMeasurements other) const
| Equality operator.
bool | operator!= (sArbitraryMeasurements other) const
| Inequality operator.

## Public Attributes
bool | Bx = false
| Return the flux density X-component.
bool | By = false
| Return the flux density Y-component.
bool | Bz = false
| Return the flux density Z-component.
bool | Temperature = false
| Return the sensor temperature.
bool | Timestamp = false
| Return the timestamp.
U32 | NoMeasurements = 0
| Return this number of measurements.

## Detailed Description

Specify the measurement data to be returned.

Definition at line 592 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sArbitraryMeasurements()

MTL::Instrument::THM1176Types::sArbitraryMeasurements::sArbitraryMeasurements | ( | bool | Bx = false,
|  | bool | By = false,
|  | bool | Bz = false,
|  | bool | Temp = false,
|  | bool | Time = false,
|  | U32 | NMeas = 0 )
| inline

Constructor.

Parameters

  [in] | Bx | Return the flux density X-component.
  [in] | By | Return the flux density Y-component.
  [in] | Bz | Return the flux density Z-component.
  [in] | Temp | Return the sensor temperature.
  [in] | Time | Return the timestamp.
  [in] | NMeas | Return this number of measurements.

Definition at line 609 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

void MTL::Instrument::THM1176Types::sArbitraryMeasurements::clear | ( |  | ) |

Clear to default values.

Definition at line 488 of file THM1176Types.cpp.

## ◆ operator!=()

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::operator!= | ( | sArbitraryMeasurements | other | ) | const

Inequality operator.

Definition at line 504 of file THM1176Types.cpp.

## ◆ operator==()

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::operator== | ( | sArbitraryMeasurements | other | ) | const

Equality operator.

Definition at line 493 of file THM1176Types.cpp.

## Member Data Documentation

## ◆ Bx

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::Bx = false

Return the flux density X-component.

Definition at line 594 of file THM1176Types.h.

## ◆ By

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::By = false

Return the flux density Y-component.

Definition at line 595 of file THM1176Types.h.

## ◆ Bz

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::Bz = false

Return the flux density Z-component.

Definition at line 596 of file THM1176Types.h.

## ◆ NoMeasurements

U32 MTL::Instrument::THM1176Types::sArbitraryMeasurements::NoMeasurements = 0

Return this number of measurements.

Definition at line 599 of file THM1176Types.h.

## ◆ Temperature

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::Temperature = false

Return the sensor temperature.

Definition at line 597 of file THM1176Types.h.

## ◆ Timestamp

bool MTL::Instrument::THM1176Types::sArbitraryMeasurements::Timestamp = false

Return the timestamp.

Definition at line 598 of file THM1176Types.h.

The documentation for this struct was generated from the following files:

- THM1176InstrumentDriver/include/THM1176Types.h
- THM1176InstrumentDriver/src/THM1176Types.cpp